javax.batch.operations

## Class JobExecutionNotMostRecentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobExecutionNotMostRecentException

All Implemented Interfaces:
  Serializable

    public class JobExecutionNotMostRecentException
    extends BatchRuntimeException

JobExecutionNotMostRecentException is thrown when `JobOperator.restart(long, java.util.Properties)` is called on a job instance which has already completed (i.e. the most recent execution has ended with `BatchStatus` of COMPLETED.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobExecutionNotMostRecentException()`
`JobExecutionNotMostRecentException(String message)`
`JobExecutionNotMostRecentException(String message, Throwable cause)`
`JobExecutionNotMostRecentException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobExecutionNotMostRecentException

    public JobExecutionNotMostRecentException()

#### JobExecutionNotMostRecentException

    public JobExecutionNotMostRecentException(String message)

#### JobExecutionNotMostRecentException

    public JobExecutionNotMostRecentException(Throwable cause)

#### JobExecutionNotMostRecentException

    public JobExecutionNotMostRecentException(String message,
                                      Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0